import { PopoverService } from './popover.service';
import * as i0 from "@angular/core";
export declare class PopoverEventDirective {
    private popoverService;
    constructor(popoverService: PopoverService);
    contextmenu(event: any): void;
    getEventPosition(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverEventDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopoverEventDirective, "[appPopoverEvent]", never, {}, {}, never, never, false, never>;
}
